Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class PropertyManager

    java.lang.Object
      org.apache.sandesha2.util.PropertyManager

public class PropertyManager
extends java.lang.Object

Loads properties from sandesha2.properties file (from Sandesha2Constants if this is not available).

Constructor Summary
`PropertyManager()`

Method Summary
`static SandeshaPolicyBean` | `loadPropertiesFromAxisDescription(org.apache.axis2.description.AxisDescription desc, SandeshaPolicyBean parentPropertyBean)`
`static void` | `loadPropertiesFromDefaultValues(SandeshaPolicyBean propertyBean)`
`static SandeshaPolicyBean` | `loadPropertiesFromModuleDesc(org.apache.axis2.description.AxisModule desc)`
`static SandeshaPolicyBean` | `loadPropertiesFromModuleDescPolicy(org.apache.axis2.description.AxisModule desc, SandeshaPolicyBean parentPropertyBean)`
`static SandeshaPolicyBean` | `loadPropertiesFromPropertyFile(java.io.InputStream in)`
`static void` | `reloadFromPropertyFile(java.io.InputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyManager

    public PropertyManager()

Method Detail

### loadPropertiesFromDefaultValues

    public static void loadPropertiesFromDefaultValues(SandeshaPolicyBean propertyBean)

### loadPropertiesFromPropertyFile

    public static SandeshaPolicyBean loadPropertiesFromPropertyFile(java.io.InputStream in)
                                                             throws SandeshaException

  Throws:
    `SandeshaException`

### loadPropertiesFromModuleDesc

    public static SandeshaPolicyBean loadPropertiesFromModuleDesc(org.apache.axis2.description.AxisModule desc)
                                                           throws SandeshaException

  Throws:
    `SandeshaException`

### loadPropertiesFromModuleDescPolicy

    public static SandeshaPolicyBean loadPropertiesFromModuleDescPolicy(org.apache.axis2.description.AxisModule desc,
                                                                        SandeshaPolicyBean parentPropertyBean)
                                                                 throws SandeshaException

  Throws:
    `SandeshaException`

### loadPropertiesFromAxisDescription

    public static SandeshaPolicyBean loadPropertiesFromAxisDescription(org.apache.axis2.description.AxisDescription desc,
                                                                       SandeshaPolicyBean parentPropertyBean)
                                                                throws SandeshaException

  Throws:
    `SandeshaException`

### reloadFromPropertyFile

    public static void reloadFromPropertyFile(java.io.InputStream stream)
                                       throws SandeshaException

  Throws:
    `SandeshaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.